<template>
    <input :value="modelValue" @input="updateInput" class="input" type="text"><slot></slot>
</template>

<script>
    export default {
        name: "my-input",
        props: {
            modelValue: [String, Number]
        },
        data() {
            return {

            }
        },
        methods: {
            updateInput(event) {
                this.$emit('update:modelValue', event.target.value)

            }
        }
    }
</script>

<style scoped>

    .input {
        width: 100%;
        border: 2px solid #4ebf4e;
        padding: 10px 15px;
        margin-left: 15px;

    }

</style>